### Virtual Method

# Gegl MetadataStore set_value

#### Declaration [src]

    void
    set_value (
      GeglMetadataStore* self,
      const gchar* name,
      const GValue* value
    )

#### Description [src]

Set the specified metadata value. If `value` is `NULL` the default value from the associated `GParamSpec` is used. This operation will fail if the value has not been previously declared. A `changed::name` signal is emitted when the value is set. If the value is shadowed by a property a `notify::name` signal is also emitted.

#### Parameters

`name`

  Type: `const gchar*`

  Metadata name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  (nullable): A valid `GValue` or `NULL`.

  The data is owned by the caller of the method.